<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<title>CSS Introduction and Selectors</title>
	<!-- 
		internal styling allows us to add css within a page without the use of the style attribute per element. In internal styling  you can select multiple elements to style within the html where the internal style is.

		However, inline styling is given more priority than internal styling.

		The problem with internal styles is it adds more code to your HTML. It makes your HTML document bulkier.
	-->
	<link rel="stylesheet" type="text/css" href="./style.css">
	  
		<!-- <style type="text/css">
		
		h1{
			color: green;
			font-size: 100px;

		}

		</style -->
	
	
	<!-- Best practice: external styling or external CSS -->

</head>
<body>
	<!-- Implementing Styles in a page -->
	<!-- 
		inline styling is done when we add style atteibute to our tag. This will allow us to change the styles of an element. The values before the colon(:) are the style properties  of an element that we want to change and the value after  colon are the values we would like to assign to a property. 

		<tag styles="property: value; property: value;"></tag>

		However, HTML was made to layout of a page by creating element not for styling.
	-->
	<!-- <h1 style="color:indianred;">Hello World!</h1>
	<h1>I am color green</h1>

	<h2 style="color:pink; font-size: 50px;">My favorite food is lasagna.</h2>
	<h2>My favorite desert is chocolate.</h2>
	<h2>My favorite drink is Coffee Jelly Frappucino</h2> -->

	<!-- navbar -->
	<nav id="top">
		<a href="#landing">Zuitt</a>
		<div>
			<a href="#landing">Landing</a>
			<a href="#register">Register</a>
		</div>
	</nav>
	<!--end of navbar -->


	<h1 >Hello World!</h1>
	<section id="landing">
		<h2>Welcome to my Zuiit</h2>
		<!-- id = are unique identifiers of an element -->
		<h3 id="zuitt-motto">Opportunities for Everyone, Everywhere!</h3>

		<!--image of a scary puppy -->
		<img src="https://place-puppy.com/450x450">

		<!-- classes are used to group together elements and assign them with a class. Therefore, we can now style multiple elements of the same class. All elements with the same class will share the stylings and declarations for that class. However, id is still of higher priority than class. -->
		<ol id="bootcamp-learning-list">
			<li class="offering-item" id="listItem1">Day classes</li>
			<li class="offering-item">Night classes</li>
			<li class="offering-item">Intro to Coding</li>
		</ol>
		<!-- when an anchor tag reference an id , it will allow us to go to the particular element with the indicated id. -->
		<a href="#top">Back to Top</a>	
	</section>
	
	<section id="register">	
		<h2>Register</h2>
		<form>
			<label for="first-name">First Name:</label>
			<input type="text" id="first-name" required autocomplete>
			<label for="last-name">Last Name:</label>
			<input type="text" id="last-name" required autocomplete>
			<label for="email">Email:</label>
			<input type="email" id="email" required autocomplete>
			<button type="submit">Apply Now!</button>
		</form>
		<a href="#top">Back to Top</a>		
	</section>
</body>
</html>